#
# WARNING;
#	DO NOT update this to 3.5.22, that release is broken.
#
%include	/usr/lib/rpm/macros.perl
Summary:	Print filter for HP postscript, text, and other printers
Summary(pl.UTF-8):	Filtr wydruku HP postscriptu, tekstu i innych drukarek
Name:		ifhp
Version:	3.5.20
Release:	6
License:	GPL v2 or Artistic
Group:		Applications/System
Source0:	http://www.lprng.com/DISTRIB/ifhp/%{name}-%{version}.tgz
# Source0-md5:	25b151b3adb953b571e6b0a7cc9937f3
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-trim_cmdline.patch
Patch2:		%{name}-no-Werror.patch
Patch3:		%{name}-a4.patch
URL:		http://www.lprng.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	ghostscript
BuildRequires:	perl-Net-SNMP
BuildRequires:	perl-modules
BuildRequires:	rpm-perlprov
Requires:	/usr/bin/lpr
Suggests:	a2ps
Suggests:	ghostscript
Obsoletes:	apsfilter
Obsoletes:	rhs-printfilters
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	        lpfiltersdir	%{_libexecdir}/lpfilters
# only few scripts need it
%define		_noautoreq	'perl(Net::SNMP)'

%description
ifhp is a highly versatile print filter for BSD based print spoolers.
It can be configured to handle text, PostScript, PJL, PCL, and raster
printers, supports conversion from one format to another, and can be
used as a stand-alone print utility.

It is the primary supported print filter for the LPRng print spooler.

%description -l pl.UTF-8
ifhp jest wszechstronnym filtrem wydruków dla opartych na BSD
zarządców wydruku. Może być skonfigurowany do obsługi tekstu,
PostScriptu, PJL, PCL i drukarek rastrowych, obsługuje konwersję
między formatami, może być używany jako samodzielne narzędzie do
drukowania.

Jest to podstawowy filtr dla zarządcy drukowania LPRng.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__autoconf}
%configure \
	A2PS=/usr/bin/a2ps \
	GS=/usr/bin/gs \
	--disable-gscheck \
	--with-filterdir=%{lpfiltersdir} \
	--with-fontdir=%{lpfiltersdir}/fonts \
	--with-foomatic-rip=/usr/bin/foomatic-rip \
	--with-pagesize=a4
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_sysconfdir}/ifhp.conf.sample .

# some random junk and docs
%{__rm} $RPM_BUILD_ROOT%{lpfiltersdir}/UTILS/{400095.ppd,HP2500CJ.PPD,Watermarks,accounting.sh.in,extract_pjl,fixupdate.in,install-sh,mkinstalldirs,sendhp.sh.in,stopstr.c,supported.in,test1,use_snmp_for_status}

# not installed
#%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

#%files -f %{name}.lang
%files
%defattr(644,root,root,755)
%doc README ifhp.conf.sample DOCS/*.{html,jpg}
# HOWTO/*.html
%attr(755,root,root) %{_bindir}/extract_pjl
%attr(755,root,root) %{_bindir}/snmp_printer_status
%attr(755,root,root) %{lpfiltersdir}/extract_pjl
%attr(755,root,root) %{lpfiltersdir}/ifhp
%attr(755,root,root) %{lpfiltersdir}/snmp_printer_status
%attr(755,root,root) %{lpfiltersdir}/textps
%attr(755,root,root) %{lpfiltersdir}/wrapper
%{lpfiltersdir}/snmp_printer_status.conf
%dir %{lpfiltersdir}/UTILS
%attr(755,root,root) %{lpfiltersdir}/UTILS/accounting.sh
%attr(755,root,root) %{lpfiltersdir}/UTILS/fixupdate
%attr(755,root,root) %{lpfiltersdir}/UTILS/phaser5400_snmp_mib_query
%attr(755,root,root) %{lpfiltersdir}/UTILS/sendhp.sh
%attr(755,root,root) %{lpfiltersdir}/UTILS/supported
%{lpfiltersdir}/UTILS/ellipse.ps
%{lpfiltersdir}/UTILS/one.*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
%{_mandir}/man8/ifhp.8*
%{_mandir}/man8/textps.8*
%changelog
* Sun Nov 18 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ifhp.git;a=log;h=master

* Sat Nov 17 2018 Jakub Bogusz <qboosh@pld-linux.org> c58835a
- follow upstream, use _libexecdir for lpfilters; release 6

* Thu Nov 15 2018 Jakub Bogusz <qboosh@pld-linux.org> ea091fc
- restored cleanups from ifhp-3.5.22

* Thu Nov 15 2018 Jakub Bogusz <qboosh@pld-linux.org> f101bbf
- updated Source0 URL

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 594dad8
- updated gettext BR

* Tue Nov 25 2014 Jan Rękorajski <baggins@pld-linux.org> aaff02c
- parallel install doesn't work

* Tue Nov 25 2014 Jan Rękorajski <baggins@pld-linux.org> 030b806
- rel 5

* Tue Nov 25 2014 Jan Rękorajski <baggins@pld-linux.org> 3eb13d6
- Revert "- updated to 3.5.22"

* Fri Mar 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 595238c
- updated to 3.5.22
- updated ac_fixes,no-Werror patches

* Wed Oct 31 2007 Jan Rękorajski <baggins@pld-linux.org> f8d0c06
- rel 4
- force a4 paper in config
- don't regenerate all autocrap

* Wed Oct 31 2007 Jan Rękorajski <baggins@pld-linux.org> d503d40
- set default paper size to a4

* Fri Jun 22 2007 Jan Rękorajski <baggins@pld-linux.org> 4a84620
- avoid bogus warnings from gcc 4.2

* Fri Jun 22 2007 Jan Rękorajski <baggins@pld-linux.org> 24c649d
- rel 3
- added no-Werror patch to avoid bogus warnings from gcc 4.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e814163
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2dc3284
- converted to UTF-8

* Fri Feb 03 2006 Jan Rękorajski <baggins@pld-linux.org> 8a382b0
- release 2
- use ifhp.conf from source tgz!

* Fri Feb 03 2006 Jan Rękorajski <baggins@pld-linux.org> f25230f
- DUMB! DUMB! DUMB!

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> 20cc99e
- adapterized (sorted %verify attrs)

* Sun Jan 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 42ed10e
- updated to 3.5.20

* Mon Nov 08 2004 Jakub Bogusz <qboosh@pld-linux.org> 41e7981
- updated to 3.5.18

* Sun Mar 07 2004 Jakub Bogusz <qboosh@pld-linux.org> d07a254
- updated to 3.5.17

